<?php

/**
 * This file contains package_quiqqer_products_ajax_categories_path
 */

/**
 * Return the category path
 *
 * @param string $params - JSON query params
 *
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_products_ajax_categories_path',
    function ($categoryId) {
        $Categories = new QUI\ERP\Products\Handler\Categories();
        $result     = array();

        $Category = $Categories->getCategory($categoryId);
        $result[] = $Category->getId();

        $Parent = $Category->getParent();

        while ($Parent) {
            /* @var $Parent \QUI\ERP\Products\Interfaces\CategoryInterface */
            try {
                $result[] = $Parent->getId();
                $Parent   = $Parent->getParent();
            } catch (QUI\Exception $Exception) {
                break;
            }
        }

        $result = array_reverse($result);

        return $result;
    },
    array('categoryId'),
    'Permission::checkAdminUser'
);
